Skip to main content

Serving Endpoint Summary

View as Markdown

List

GET /api/2.0/serving-endpoints

Get all serving endpoints.

API scopes: model-serving

Response

endpointsarray of object

The list of endpoints.

Show child attributesHide child attributes
namestring

The name of the serving endpoint.

Example: feed-ads

creatorstring

The email of the user who created the serving endpoint.

Example: alice@company.com

creation_timestampint64

The timestamp when the endpoint was created in Unix time.

last_updated_timestampint64

The timestamp when the endpoint was last updated by a user in Unix time.

stateobject

Information corresponding to the state of the serving endpoint.

Show child attributesHide child attributes
readystring

The state of an endpoint, indicating whether or not the endpoint is queryable. An endpoint is READY if all of the served entities in its active configuration are ready. If any of the actively served entities are in a non-ready state, the endpoint state will be NOT_READY.

Values: READY_STATE_UNSPECIFIED, READY, NOT_READY

config_updatestring

The state of an endpoint's config update. This informs the user if the pending_config is in progress, if the update failed, or if there is no update in progress. Note that if the endpoint's config_update state value is IN_PROGRESS, another update can not be made until the update completes or fails.

Values: CONFIG_UPDATE_STATE_UNSPECIFIED, NOT_UPDATING, IN_PROGRESS, UPDATE_FAILED, UPDATE_CANCELED

configobject

The config that is currently being served by the endpoint.

Show child attributesHide child attributes
served_entitiesarray of object

The list of served entities under the serving endpoint config.

Show child attributesHide child attributes
namestring
model_namestring

Only one of model_name and entity_name should be populated

entity_namestring
model_versionstring

Only one of model_version and entity_version should be populated

entity_versionstring
external_modelobject
foundation_modelobject
served_modelsarray of object

(Deprecated, use served_entities instead) The list of served models under the serving endpoint config.

Show child attributesHide child attributes
namestring
model_namestring

Only one of model_name and entity_name should be populated

entity_namestring
model_versionstring

Only one of model_version and entity_version should be populated

entity_versionstring
external_modelobject
foundation_modelobject
tagsarray of object

Tags attached to the serving endpoint.

Show child attributesHide child attributes
keystring

Key field for a serving endpoint tag.

Example: team

valuestring

Optional value field for a serving endpoint tag.

Example: data science

idstring

System-generated ID of the endpoint, included to be used by the Permissions API.

Example: 88fd3f75a0d24b0380ddc40484d7a31b

taskstring

The task type of the serving endpoint.

Example: model-serving-task

ai_gatewayobject

The AI Gateway configuration for the serving endpoint. NOTE: External model, provisioned throughput, and pay-per-token endpoints are fully supported; agent endpoints currently only support inference tables.

Show child attributesHide child attributes
usage_tracking_configobject

Configuration to enable usage tracking using system tables. These tables allow you to monitor operational usage on endpoints and their associated costs.

Show child attributesHide child attributes
enabledboolean

Whether to enable usage tracking.

Example: true

inference_table_configobject

Configuration for payload logging using inference tables. Use these tables to monitor and audit data being sent to and received from model APIs and to improve model quality.

Show child attributesHide child attributes
catalog_namestring

The name of the catalog in Unity Catalog. Required when enabling inference tables. NOTE: On update, you have to disable inference table first in order to change the catalog name.

Example: my-catalog

schema_namestring

The name of the schema in Unity Catalog. Required when enabling inference tables. NOTE: On update, you have to disable inference table first in order to change the schema name.

Example: my-schema

table_name_prefixstring

The prefix of the table in Unity Catalog. NOTE: On update, you have to disable inference table first in order to change the prefix name.

Example: my-prefix

enabledboolean

Indicates whether the inference table is enabled.

Example: true

rate_limitsarray of object

Configuration for rate limits which can be set to limit endpoint traffic.

Show child attributesHide child attributes
callsint64

Used to specify how many calls are allowed for a key within the renewal_period.

Example: 15

keystring

Key field for a rate limit. Currently, 'user', 'user_group, 'service_principal', and 'endpoint' are supported, with 'endpoint' being the default if not specified.

renewal_periodstring

Renewal period field for a rate limit. Currently, only 'minute' is supported.

principalstring

Principal field for a user, user group, or service principal to apply rate limiting to. Accepts a user email, group name, or service principal application ID.

Example: user@test.com

tokensint64

Used to specify how many tokens are allowed for a key within the renewal_period.

Example: 10000

guardrailsobject

Configuration for AI Guardrails to prevent unwanted data and unsafe data in requests and responses.

Show child attributesHide child attributes
inputobject

Configuration for input guardrail filters.

outputobject

Configuration for output guardrail filters.

fallback_configobject

Configuration for traffic fallback which auto fallbacks to other served entities if the request to a served entity fails with certain error codes, to increase availability.

Show child attributesHide child attributes
enabledboolean

Whether to enable traffic fallback. When a served entity in the serving endpoint returns specific error codes (e.g. 500), the request will automatically be round-robin attempted with other served entities in the same endpoint, following the order of served entity list, until a successful response is returned. If all attempts fail, return the last response with the error code.

Example: true

budget_policy_idstring

The budget policy associated with the endpoint.

descriptionstring

Description of the endpoint

usage_policy_idstring

The usage policy associated with serving endpoint.

telemetry_configobject

Telemetry configuration for the endpoint, including inference-table payload logging.

Show child attributesHide child attributes
telemetry_profile_idstringRequired

The ID of an existing telemetry profile to apply to this endpoint. Provide this to reuse a telemetry profile that has already been created, instead of specifying table_names.

table_namesobjectRequired

The Unity Catalog tables to which endpoint telemetry (logs, traces, and metrics) is exported. Provide this to create a new telemetry profile for the endpoint from the given tables.

Show child attributesHide child attributes
logs_tablestring

The full three-level Unity Catalog name (catalog.schema.table) of the table that receives exported logs.

metrics_tablestring

The full three-level Unity Catalog name (catalog.schema.table) of the table that receives exported metrics.

traces_tablestring

The full three-level Unity Catalog name (catalog.schema.table) of the table that receives exported traces (spans).

annotations_tablestring

The full three-level Unity Catalog name (catalog.schema.table) of the table that receives exported annotations.

inference_table_configobject

Configuration for inference table payload logging, including sampling.

Show child attributesHide child attributes
sampling_fractiondouble

Fraction of requests sampled for payload logging, in the range [0.0, 1.0], where 1.0 logs all requests.

namestring

The full name of the inference table created for this endpoint.

enabled_telemetry_featuresarray of string

The telemetry signals to enable for this endpoint. If empty or omitted, all signals are enabled; otherwise only the listed signals are enabled.

Values: TELEMETRY_FEATURE_LOGS, TELEMETRY_FEATURE_TRACES, TELEMETRY_FEATURE_METRICS, TELEMETRY_FEATURE_INFERENCE_TABLE